Bug 537925 - logd initscript FedoraGuidelines compliance
Summary: logd initscript FedoraGuidelines compliance
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cluster-glue
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Beekhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 553386
TreeView+ depends on / blocked
 
Reported: 2009-11-16 20:11 UTC by Nate Straz
Modified: 2011-06-27 14:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 553386 (view as bug list)
Environment:
Last Closed: 2011-06-27 14:31:28 UTC
Type: ---


Attachments (Terms of Use)

Description Nate Straz 2009-11-16 20:11:01 UTC
Description of problem:

This is a list of issues for the logd init script when compared with the
criteria in 
https://fedoraproject.org/wiki/Packaging/SysVInitScript


Version-Release number of selected component (if applicable):
cluster-glue-1.0-0.11.b79635605337.hg.fc12.i686


* init script name conflicts with logd provided by upstart package
  * man page for "logd" is for upstart's logd
  * ha_logd is the man page for cluster-glue's logd
  * suggest renaming init script to "ha_logd"

* logd init script is not added during package installation

* init script is installed to the wrong location.  It should be installed to /etc/rc.d/init.d instead of /etc/init.d

  [root@morph-03 init.d]# rpm -ql cluster-glue | grep init
  /etc/init.d/logd

* missing required actions:
  - reload
  - force-reload
  - condrestart | try-restart

* wrong exit status from status action when service is stopped.  Got 1, expected 3.

* subsystem locks are not used

* /etc/rc.d/init.d/functions is not used for standard reporting

* wrong exit status for usage and invalid arguments.  Got 1, expected 2.

Comment 1 Andrew Beekhof 2009-11-18 07:18:25 UTC
I suspect the simplest solution here is to just drop the ha_logd pieces.
We don't need them and eventually we want to standardize on the corosync versions.

Thoughts anyone?

Comment 2 Fabio Massimo Di Nitto 2009-11-19 07:34:49 UTC
standardize please.. either to corosync/logsys or logthread depending on what kind of performance/features you need.

Please make sure to follow the standards that are already in place.

Comment 3 Andrew Beekhof 2009-11-19 07:55:15 UTC
(In reply to comment #2)
> standardize please.. either to corosync/logsys or logthread depending on what
> kind of performance/features you need.
> 
> Please make sure to follow the standards that are already in place.  

That wasn't relly what I was asking, the question is whether or not we ship logd until the standardization is complete.

Comment 4 Fabio Massimo Di Nitto 2009-11-19 08:01:57 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > standardize please.. either to corosync/logsys or logthread depending on what
> > kind of performance/features you need.
> > 
> > Please make sure to follow the standards that are already in place.  
> 
> That wasn't relly what I was asking, the question is whether or not we ship
> logd until the standardization is complete.  

If you can drop them right away, then let´s just kill them.

Comment 5 Bug Zapper 2010-03-15 13:02:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-02 17:27:13 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 14:31:28 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.